#include "stdafx.h"
#include "stringbuffer.h"


StringBuffer::StringBuffer()
{
	len = 64;
	buffer = new char[len];
}


StringBuffer::~StringBuffer()
{
	delete[] buffer;
}

void StringBuffer::checkSize( size_t n )
{
	if (n > len - 10) {
		delete[] buffer;
		buffer = new char[n + 10];
		len = n + 10;
	}
}


char* StringBuffer::getBuffer()
{
	return buffer;
}


WStringBuffer::WStringBuffer()
{
	len = 64;
	buffer = new wchar_t[len];
}


WStringBuffer::~WStringBuffer()
{
	delete[] buffer;
}

void WStringBuffer::checkSize( size_t n )
{
	if (n > len - 10) {
		delete[] buffer;
		buffer = new wchar_t[n + 10];
		len = n + 10;
	}
}


wchar_t* WStringBuffer::getBuffer()
{
	return buffer;
}


int StringBuffer::getSize() const
{
	return len;
}
